Name:		dbus-glib
Version:	0.110
Release:        5
Summary:	GLib bindings for DBUS
License:	AFL and GPLv2+
URL:		http://www.freedesktop.org/software/dbus/
Source0:	https://dbus.freedesktop.org/releases/dbus-glib/%{name}-%{version}.tar.gz
Patch6000:	0001-Fix-double-free-for-data.channel.patch

BuildRequires:	gcc git gettext chrpath
BuildRequires:	pkgconfig(dbus-1) >= 1.8 pkgconfig(glib-2.0) >= 2.40.0 expat-devel >= 1.95.5

%description
The D-Bus GLib package contains GLib interfaces to the D-Bus API.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package	help
Summary: 	Doc files for %{name}
Buildarch:	noarch
Requires:	man

%description 	help
The %{name}-help package contains doc files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1 -S git

%build
%configure --enable-tests --enable-asserts --disable-gtk-doc --disable-static
%make_build

%install
%make_install INSTALL="install -p"

rm -f %{buildroot}/%{_libdir}/*.la

chrpath --delete %{buildroot}/%{_bindir}/dbus-binding-tool
chrpath --delete %{buildroot}/%{_libexecdir}/dbus-bash-completion-helper

%check
make check

%pre

%preun

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%{_bindir}/dbus-binding-tool
%{_libdir}/lib%{name}-1.so.*

%files devel
%defattr(-,root,root)
%{_sysconfdir}/bash_completion.d/dbus-bash-completion.sh
%{_includedir}/dbus-1.0/dbus/*.h
%{_libdir}/lib%{name}-1.so
%{_libdir}/pkgconfig/%{name}-1.pc
%{_libexecdir}/dbus-bash-completion-helper

%files help
%doc NEWS
%{_mandir}/man1/dbus-binding-tool.1.gz
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Mon Sep 30 2019 luhuaxin <luhuaxin@huawei.com> - 0.110-5
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: add help package

* Wed Aug 21 2019 luhuaxin <luhuaxin@huawei.com> - 0.110-4
- Package init
